読者です 読者をやめる 読者になる 読者になる

PHPUnit/Framework.php が見つからないエラー

PHPUnit の新しいバージョンでは PHPUnit/Framework.php はエラーになる。

PHP Warning:  require_once(PHPUnit/Framework.php): failed to open stream: No such file or directory in /home/nao/doc/nsvn/testrepo/CalculatorTest.php on line 4

PHPUnit のバージョンアップで構造が変更されて、Framework.php がなくなったのが原因。


PHPUnitの、3.7以降では PHPUnit/Framework.php となっているところを、 PHPUnit/Autoload.php に変更することで正常に動くようになる。